Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Class XMLHandlerConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator
          org.apache.fop.render.XMLHandlerConfigurator

    public class XMLHandlerConfigurator

extends AbstractRendererConfigurator

Configurator for XMLHandler objects.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger instance

Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator
`userAgent`

Constructor Summary
`XMLHandlerConfigurator(FOUserAgent userAgent)` Default constructor

Method Summary
`void` | `configure(RendererContext context, java.lang.String ns)` Configures renderer context by setting the handler configuration on it.

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger instance

Constructor Detail

### XMLHandlerConfigurator

    public XMLHandlerConfigurator(FOUserAgent userAgent)

  Default constructor

  Parameters:
    `userAgent` - the user agent

Method Detail

### configure

    public void configure(RendererContext context,
                          java.lang.String ns)
                   throws FOPException

  Configures renderer context by setting the handler configuration on it.

  Parameters:
    `context` - the RendererContext (contains the user agent)
    `ns` - the Namespace of the foreign object
  Throws:
    `FOPException` - if configuring the target objects fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.